Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 755141 - Review Request: gnome-system-log - A log viewer for GNOME
Review Request: gnome-system-log - A log viewer for GNOME
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 19:58 EST by Matthias Clasen
Modified: 2011-11-21 14:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-21 14:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2011-11-18 19:58:11 EST
Another piece that formerly lived in gnome-utils.

srpm: http://mclasen.fedorapeople.org/gnome-system-log-3.3.1-1.fc16.src.rpm
spec: http://mclasen.fedorapeople.org/gnome-system-log.spec
Comment 1 Amir Hedayaty 2011-11-19 04:43:36 EST
Build Failed
Here is the last part of output of rpmbuild -bb commonad 

checking for inflate in -lz... yes
checking for LOGVIEW... no
configure: error: Package requirements (glib-2.0 >= 2.31.0
                  gtk+-3.0 >= 3.0.0) were not met:

Requested 'glib-2.0 >= 2.31.0' but version of GLib is 2.30.1

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LOGVIEW_CFLAGS
and LOGVIEW_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
error: Bad exit status from /var/tmp/rpm-tmp.4yu33w (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.4yu33w (%build)
Comment 2 Parag AN(पराग) 2011-11-19 09:43:23 EST
Review:-

+ koji build ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3525753

+ rpmlint on rpms gave
gnome-system-log.src:43: W: macro-in-comment %{name}
gnome-system-log.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-system-log-3.3.1/COPYING
gnome-system-log.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-system-log-3.3.1/COPYING.docs
2 packages and 0 specfiles checked; 2 errors, 1 warnings.

+ source matched with upstream as (sha1sum)
dda64fba12539787b439d61c2912f7119f327fd5  gnome-system-log-3.3.1.tar.xz
dda64fba12539787b439d61c2912f7119f327fd5  ../SOURCES/gnome-system-log-3.3.1.tar.xz

+ Follows packaging guidelines

Suggestions:
1) Fix the marco-in-comment warning in spec.


APPROVED.
Comment 3 Parag AN(पराग) 2011-11-19 09:44:35 EST
Amir,
   you should check that package is building successfully either in mock or on koji. See http://fedoraproject.org/wiki/Extras/MockTricks
Comment 4 Matthias Clasen 2011-11-21 08:54:46 EST
Sorry, I forgot to mention that it will only build in rawhide due to the GLib 2.31 dep.
Comment 5 Matthias Clasen 2011-11-21 09:00:41 EST
New Package SCM Request
=======================
Package Name: gnome-system-log
Short Description: A log file viewer for GNOME
Owners: mclasen, cosimoc, rstrode
Branches: 
InitialCC:
Comment 6 Gwyn Ciesla 2011-11-21 09:52:08 EST
Git done (by process-git-requests).
Comment 7 Matthias Clasen 2011-11-21 14:16:33 EST
Build done as well.

Note You need to log in before you can comment on or make changes to this bug.